import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { AdPosition } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-08 18:19
 */
interface AdPositionCU extends ConditionUtil<AdPositionCU> {
    ID: FieldUtil<AdPositionCU>;
    NAME: FieldUtil<AdPositionCU>;
    TYPE: FieldUtil<AdPositionCU>;
    STATUS: FieldUtil<AdPositionCU>;
    CREATE_TIME: FieldUtil<AdPositionCU>;
    CREATOR: FieldUtil<AdPositionCU>;
    UPDATE_TIME: FieldUtil<AdPositionCU>;
    UPDATOR: FieldUtil<AdPositionCU>;
    DESCIRPTION: FieldUtil<AdPositionCU>;
}
declare class AdPositionMU extends TableUtilImpl<AdPositionCU, AdPosition> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): AdPositionCU;
    static get ID(): FieldUtil<AdPositionCU>;
    static get NAME(): FieldUtil<AdPositionCU>;
    static get TYPE(): FieldUtil<AdPositionCU>;
    static get STATUS(): FieldUtil<AdPositionCU>;
    static get CREATE_TIME(): FieldUtil<AdPositionCU>;
    static get CREATOR(): FieldUtil<AdPositionCU>;
    static get UPDATE_TIME(): FieldUtil<AdPositionCU>;
    static get UPDATOR(): FieldUtil<AdPositionCU>;
    static get DESCIRPTION(): FieldUtil<AdPositionCU>;
    get ID(): FieldUtil<AdPositionCU>;
    get NAME(): FieldUtil<AdPositionCU>;
    get TYPE(): FieldUtil<AdPositionCU>;
    get STATUS(): FieldUtil<AdPositionCU>;
    get CREATE_TIME(): FieldUtil<AdPositionCU>;
    get CREATOR(): FieldUtil<AdPositionCU>;
    get UPDATE_TIME(): FieldUtil<AdPositionCU>;
    get UPDATOR(): FieldUtil<AdPositionCU>;
    get DESCIRPTION(): FieldUtil<AdPositionCU>;
}
export { AdPositionMU, AdPositionCU };
